{% extends 'admin/adminbase.html.twig' %}
{% import "macros/datatable.html.twig" as dt %}
{% import "macros/genCard.html.twig" as card %}
{% block body %}
    <h5>Langganan</h5>
    <div class="row mb-5">
        <div class="col col-lg-3 col-md-6">
            {{ card.card_notif('Pelanggan Baru') }}
        </div>
        <div class="col col-lg-3 col-md-6">
            {{ card.card_notif('Berhenti Berlangganan') }}
        </div>
    </div>
    <div class="row justify-content-end" style="">
        <div class=" text-right">
            <div id="reportrange" class="mb-3" style="background: #fff; cursor: pointer; padding: 5px 10px; border: 1px solid #ccc;">
                <i class="fa fa-calendar"></i>&nbsp;
                <span></span> <i class="fa fa-caret-down"></i>
            </div>
        </div>
    </div>
    <div class="card card-genossys ">
        <div class="">
            {{ dt.datatable('Berlangganan') }}
        </div>

    </div>

{% endblock %}

{% block javascripts %}
    <script src="{{ asset('etc/js/setdatepicker.js') }}" type="application/javascript"></script>

    <script>
        $(document).on('click','a#detailData', function () {
            var id = $(this).data('cred');
            var url = '{{ path("langganan-detail",{id:"no"}) }}';
            url = url.replace("no", id);
            $(this).attr('href', url);
        });

        function param(start, end, tipe) {
            datatest = {
                parameter: tipe,
                start: start,
                end: end
            };
            {{ card.card_notifJS('Pelanggan Baru','get-count-new-subscribe', '') }}
            {{ card.card_notifJS('Berhenti Berlangganan','get-count-end-subscribe', '') }}
        }
        {{ card.card_notifJS('Pelanggan Baru','get-count-new-subscribe', '') }}
        {{ card.card_notifJS('Berhenti Berlangganan','get-count-end-subscribe', '') }}
    </script>

    {{ dt.datatableJS(class, space, tableAction, tableFields,where, groupBy,'yes','yes', 'Berlangganan','yes', order) }}


{% endblock %}